{ config, lib, pkgs, ... }:

let cfg = config.modules.desktop.apps.qbittorrent;
in {
  options.modules.desktop.apps.qbittorrent = {
    enable = lib.mkOption {
      default = false;
      example = true;
    };
  };

  config = lib.mkIf cfg.enable {
    /* Potential Remote Code Execution https://www.openwall.com/lists/oss-security/2024/10/30/4 */
    nixpkgs.config.permittedInsecurePackages = [
      "qbittorrent-4.6.4"
    ];

    user.packages = with pkgs; [
      qbittorrent
    ];
  };
}
